ErrorResponseException Class

Definition

Exception thrown for an invalid response with ErrorResponse information.

public class ErrorResponseException extends RestException
Inheritance
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.microsoft.rest.RestException
ErrorResponseException

Inherited Members

com.microsoft.rest.RestException.body() com.microsoft.rest.RestException.response() java.lang.Object.clone() java.lang.Object.equals(java.lang.Object) java.lang.Object.finalize() java.lang.Object.getClass() java.lang.Object.hashCode() java.lang.Object.notify() java.lang.Object.notifyAll() java.lang.Object.wait() java.lang.Object.wait(long) java.lang.Object.wait(long,int) java.lang.Throwable.addSuppressed(java.lang.Throwable) java.lang.Throwable.fillInStackTrace() java.lang.Throwable.getCause() java.lang.Throwable.getLocalizedMessage() java.lang.Throwable.getMessage() java.lang.Throwable.getStackTrace() java.lang.Throwable.getSuppressed() java.lang.Throwable.initCause(java.lang.Throwable) java.lang.Throwable.printStackTrace() java.lang.Throwable.printStackTrace(java.io.PrintStream) java.lang.Throwable.printStackTrace(java.io.PrintWriter) java.lang.Throwable.setStackTrace(java.lang.StackTraceElement[]) java.lang.Throwable.toString()

Constructors

ErrorResponseException(String message, Response<ResponseBody> response)

Initializes a new instance of the ErrorResponseException class.

ErrorResponseException(String message, Response<ResponseBody> response, ErrorResponse body)

Initializes a new instance of the ErrorResponseException class.

Methods

body()

Applies to